PKGCTL-RELEASE(1)

NAME
pkgctl-release - Release step to commit, tag and upload build artifacts

SYNOPSIS

pkgctl release [OPTIONS] [PATH...]

DESCRIPTION

Modified version controlled files will first be staged for commit, afterwards a Git tag matching the pkgver will be created and finally all build artifacts will be uploaded.

By default the target pacman repository will be auto-detected by querying the repo it is currently released in. When initially adding a new package to the repositories, the target repo must be specified manually.

OPTIONS

-m, --message MSG
    Use the given <msg> as the commit message

-r, --repo REPO
    Specify target repository for new packages not in any official repo. Using this option is disallowed if the package is already released, as it would circumvent the auto-detection safeguard.

-s, --staging
    Build against the staging counterpart of the auto-detected repo

-t, --testing
    Build against the testing counterpart of the auto-detected repo

-u, --db-update
    Automatically update the pacman database after uploading

-h, --help
    Show a help text

SEE ALSO

pkgctl-db-update(1)

HOMEPAGE

Please report bugs and feature requests in the issue tracker. Please do your best to provide a reproducible test case for bugs.